/*
* RTP/RTCP H264/MPEG-4 AAC Encoder
* Copyright (c) 2008 Marius Gligor
*
* Author: Marius Gligor <marius.gligor@gmail.com>
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
*/

#ifndef ProtectionH
#define ProtectionH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TProtectionForm : public TForm
{
__published:    // IDE-managed Components
  TEdit *Pass;
  TButton *Button1;
  void __fastcall OnOK(TObject *Sender);
  void __fastcall FormShow(TObject *Sender);
private:    // User declarations
  AnsiString password;
  int mode;
  bool isOk;
public:     // User declarations
  __fastcall TProtectionForm(TComponent* Owner);
  bool _fastcall SetPassword();
  bool _fastcall GetPassword();
};
//---------------------------------------------------------------------------
extern PACKAGE TProtectionForm *ProtectionForm;
//---------------------------------------------------------------------------
#endif
